!set title=Traza de A^2 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr
computeanswer=yes

ansorder=r
varcnt=4
prevarcnt=3
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint -20, 20

val6=$[rint($(tmp0))]
tmp0=!randint -20, 20

val7=$[rint($(tmp0))]
val8=$[rint(($val7)^2-2*($val6))]
replyname1=Traze de A^2
replygood1=$val8
question=!nosubst Sea &#36;A=\pmatrix{a&b\cr c&d\cr}&#36; una matriz con	 determinante &#36;$val6&#36; y traza &#36;$val7&#36;. ¿Cuál es la traza de la matriz	 &#36;A^2&#36;?
hint=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:hint
$()Hay que pensar en el teorema de Caylay-Hamilton!
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7
embedcnt=0
